<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__sd__host__macros__card__states" kind="group">
    <compoundname>group_sd_host_macros_card_states</compoundname>
    <title>Card States</title>
      <sectiondef kind="define">
      <memberdef id="group__group__sd__host__macros__card__states_1ga17acf007debb8e033c208aa2ab726f74" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_CARD_IDLE</name>
        <initializer>(0x0UL)</initializer>
        <briefdescription>
<para>The card idle state. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="494" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="491" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__card__states_1ga0d47253351cb9614a6cae3a1ae0c1c28" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_CARD_READY</name>
        <initializer>(0x1UL)</initializer>
        <briefdescription>
<para>The card ready state. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="495" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="492" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__card__states_1ga03060b7519f25ab90f051a56903fe2aa" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_CARD_IDENT</name>
        <initializer>(0x2UL)</initializer>
        <briefdescription>
<para>The card identification state. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="496" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="493" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__card__states_1gaf2ed24d20336d7b0595c1861bba9197b" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_CARD_STBY</name>
        <initializer>(0x3UL)</initializer>
        <briefdescription>
<para>The card stand-by state. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="497" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="494" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__card__states_1gae3108eac091e08dce144adf99a616f99" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_CARD_TRAN</name>
        <initializer>(0x4UL)</initializer>
        <briefdescription>
<para>The card transition state. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="498" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="495" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__card__states_1ga36b9b5fab832427f4384169f5053072b" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_CARD_DATA</name>
        <initializer>(0x5UL)</initializer>
        <briefdescription>
<para>The card sending-data state. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="499" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="496" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__card__states_1ga515668ca6b691b0cd12db379538d3a78" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_CARD_RCV</name>
        <initializer>(0x6UL)</initializer>
        <briefdescription>
<para>The card receive-data state. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="500" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="497" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__card__states_1ga1f87d0b69aebffa80c4d0cec66e86190" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_CARD_PRG</name>
        <initializer>(0x7UL)</initializer>
        <briefdescription>
<para>The card programming state. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="501" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="498" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__card__states_1ga6fe53ea1c06dae65036b2bc7ac1c4afa" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_CARD_DIS</name>
        <initializer>(0x8UL)</initializer>
        <briefdescription>
<para>The card disconnect state. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="502" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="499" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>The masks below can be used to check the CURRENT_STATE bitfield of the <ref kindref="member" refid="group__group__sd__host__low__level__functions_1gacfa588e2d3797fab335cc8880d59d0ee">Cy_SD_Host_GetCardStatus</ref> function return value. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>